//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import <Foundation/NSUtilities.h>
#import <Foundation/NSException.h>
#import <Foundation/NSCoder.h>

#import "MiscSortedCollection.h"
#import "MiscNumberSkipList.h"
#import "MiscStringSkipList.h"
#import "MiscObjectSkipList.h"

@implementation MiscMutableSortedCollection: MiscSortedCollection

- (void)removeAllObjectsOrderedSameAs:anObject
{
	return;
}

- (void)insertObject:anObject
{
	return;
}

- (void)removeAllObjects
{
	return;
}

@end

@implementation MiscMutableSortedCollection (MiscExtendedMutableSortedCollection)

- (void)insertObjectsFromArray:(NSArray *)anArray
{
	NSEnumerator *enumerator = [anArray objectEnumerator];
	id object;
	
	while(object = [enumerator nextObject])
		[self insertObject:object];
	return;
} 

@end

