//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import "MiscSkipList.h"

@interface MiscObjectSkipList:MiscSkipList
{
	int (*compareFunction)(id, id, void *);
	void *compareContext;
	SEL compareSelector;
	BOOL compareWithSelector;
}

- init;
- initCompareSelector:(SEL)comparator;
- initCompareFunction:(int(*)(id, id, void *))comparator context:(void *)context;
- initWithObjects:(id *)objects count:(unsigned)count;
- initWithObjects:(id *)objects count:(unsigned)count compareSelector:(SEL)comparator;
- initWithObjects:(id *)objects count:(unsigned)count compareFunction:(int(*)(id, id, void *))comparator context:(void *)context;

@end
