//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import "MiscRandomLevelProvider.h"
#import "Miscskiplist.h"

@implementation MiscRandomLevelProvider

- init
{
	long r = PB;
	
	randomBits = random();
	randomShift = 0;
	while(r >>= 1)
		randomShift++;
	randomsLeft = RANDSIZEINBITS / randomShift;
	return self;
}

- (int)randomLevel
{
	int newLevel;
	long b;
 
	newLevel = 1;
	do {
		b = randomBits & RANDMASK;
		if(!b)
			newLevel++;
		randomBits >>= randomShift;
		if(--randomsLeft == 0){
			randomBits = random();
			randomsLeft = RANDSIZEINBITS / randomShift;
		}
	} while(!b);
	return (newLevel > MAXLEVELS ? MAXLEVELS : newLevel);		
}

@end
