//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import "Miscskiplist.h"
#import "MiscSortedCollection.h"
#import "MiscRandomLevelProvider.h"

@interface MiscSkipList:MiscMutableSortedCollection
{
	SkipListNode *head;
	int level;
	unsigned nodeCount;
	MiscRandomLevelProvider *levelProvider;
	BOOL mutable;
}

- (NSComparisonResult)compareNode:(SkipListNode *)p withObject:anObject;
- (void)checkArgument:anObject;
- (void)setMutable:(BOOL)aBool;
- (void)insertObjectsFromSkipList:(MiscSkipList *)aList withZone:(NSZone *)aZone deep:(BOOL)aBool;

@end
