//-----------------------------------------------------------------------------------------------------------------
//		Written by Uwe Hoffmann Copyright 1995 by Uwe Hoffmann.
//				Version 1.0.  All rights reserved.
//
//		This notice may not be removed from this source code.
//-----------------------------------------------------------------------------------------------------------------

#import <bsd/libc.h>   
#import <objc/objc.h>
#import <Foundation/NSZone.h>

#define MISC_SKIPLIST_P			0.25
#define MISC_SKIPLIST_PB		4
#define MISC_SKIPLIST_MAXLEVELS		16
#define MISC_SKIPLIST_RANDSIZEINBITS	(sizeof(long) * 8)
#define MISC_SKIPLIST_RANDMASK		3

typedef struct _SkipListNode {
	id nodeObject;
	struct _SkipListNode **nodeForwards;
} SkipListNode;

SkipListNode *allocNode(NSZone *zone, int nrLevels, id object);
void freeNode(SkipListNode *aNode);
void cutNode(SkipListNode *aNode, int nrLevels);