

#import "MiscGaugeView.subproj/MiscGaugeView.h"
#import "MiscGaugePalette.h"


@implementation  MiscGaugePalette

- (void)finishInstantiate
{
	[super finishInstantiate];
	// Change the appearance of the second gauge for a little 
	// variety.
	[(MiscGaugeView *)gauge2 setMinValue: 0];
	[(MiscGaugeView *)gauge2 setMaxValue: 40];
	[gauge2 setFloatValue: 15];
	[gauge2 setTickInterval:5];
	[gauge2 setTickRatio:0.55];
	[gauge2 setHandRatio:0.5];
	[gauge2 setGaugeGray:NSLightGray];
	[gauge2 setTitlePosition: NSAtBottom];
	[gauge2 setTitle:@""];
}

@end


@implementation MiscGaugeCell (IBInspector)

- (NSString *)inspectorClassName
{
	return @"MiscGaugeViewInspector";
}

@end


@implementation MiscGaugeView (IBInspector)

- (NSString *)inspectorClassName
{
	return @"MiscGaugeViewInspector";
}

@end

