

#import <Apps/InterfaceBuilder.h>

@interface MiscGaugeViewInspector:IBInspector
{
    id	attribsForm;			// Form with all the gauge's attributes.
//    id	backgroundColorWell;	
    id	gaugeColorWell;
    id	textColorWell;
    id	valueForm;				// Form with min, max and current value.
	id  sliderMatrix;			// Matrix of sliders to match the attribsForm.
	id  titleField;				// Textfield containing the gauge's title.
	id  titlePositionMatrix;	// Matrix of 2 buttons for title position.
}

- init;

- (void)attribChanged:sender;
- (void)sliderChanged:sender;

- (void)backgroundColorChanged:sender;
- (void)gaugeColorChanged:sender;
- (void)textColorChanged:sender;
- (void)valueChanged:sender;

- (void)titleFieldChanged:sender;
- (void)titlePositionChanged:sender;

- (void)revert:sender;
- (BOOL)wantsButtons;

@end


@interface MiscGaugeViewInspector (NibInitialization)

- awakeFromNib;

@end

