/*
**	SwitchViewInspector.h 
**	Copyright (C) 1995  David Slotnick 
**	 
**	This program is free software; you can redistribute it and/or 
**	modify it under the terms of the GNU General Public License as 
**	published by the Free Software Foundation; either version 1, or 
**	(at your option) any later version. 
**	 
**	This program is distributed in the hope that it will be useful, 
**	but WITHOUT ANY WARRANTY; without even the implied warranty of 
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
**	GNU General Public License for more details. 
**	 
**	You should have received a copy of the GNU General Public License 
**	along with this program; if not, write to the Free Software 
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

/***************************************************************************/
// Included Files
//
#import <appkit/appkit.h>
#import <apps/InterfaceBuilder.h>

/***************************************************************************/
// Interface
//
@interface SwitchViewInspector:IBInspector
{
	id 	currentViewTF;
	id 	viewCountTF;
}

- init;

- addView:sender;
- insertView:sender;
- deleteView:sender;
- setCurrentView:sender;
- nextView:sender;
- previousView:sender;

@end