/*
**	SwitchViewPalette.m 
**	Copyright (C) 1995  David Slotnick 
**	 
**	This program is free software; you can redistribute it and/or 
**	modify it under the terms of the GNU General Public License as 
**	published by the Free Software Foundation; either version 1, or 
**	(at your option) any later version. 
**	 
**	This program is distributed in the hope that it will be useful, 
**	but WITHOUT ANY WARRANTY; without even the implied warranty of 
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
**	GNU General Public License for more details. 
**	 
**	You should have received a copy of the GNU General Public License 
**	along with this program; if not, write to the Free Software 
**	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. 
*/

/***************************************************************************/
// RCS identification information
//
static char rcsID[] = "$Id: SwitchViewPalette.m,v 1.3 1995/03/19 14:32:31 davids Exp $";
static void __AvoidCompilerWarning(void) {if(!rcsID)__AvoidCompilerWarning();}

/***************************************************************************/
// Included Files
//
#import "SwitchViewPalette.h"

/**************************************************************************/
// Public Methods
//
@implementation  SwitchViewPalette

/*
**	Associates the SwitchView object with its image in the IB palette. 
*/
- finishInstantiate
{
	[self associateObject:switchView 
		type:IBViewPboardType 
		with:switchViewImage];
	return self;
}

@end
