
#import <appkit/appkit.h>
#import "MiscLayoutTreeDebugging.h"
#import "MiscUserPath.h"

@implementation MiscLayoutTree(DebuggingMethods)

- (void)drawNode
{
	NXRect r;
	
	r.origin.x = pos.x;
	r.origin.y = pos.y;
	r.size.width = size.width;
	r.size.height = size.height;	
	NXRectFill(&r);
	if(child)
		[child drawNode];
	if(sibling)
		[sibling drawNode];
}

- (void)fillLines:path
{
	if(parent){
		[path moveto:(pos.x + size.width / 2) :(pos.y + size.height / 2)];
		[path lineto:(parent->pos.x + parent->size.width / 2) :(parent->pos.y + parent->size.height / 2)];
	}
	if(sibling)
		[sibling fillLines:path];
	if(child)
		[child fillLines:path];
}
			
@end

